﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;
using System.Diagnostics;

namespace ROTools.ROWebLogin {

    /// <summary>
    /// アトラクションID関連データ
    /// </summary>
    public class AttractionAccountData {

        /// <summary>
        /// アトラクションID
        /// </summary>
        public string Id {
            get;
            set;
        }

        /// <summary>
        /// アトラクションパスワード
        /// </summary>
        public string Password {
            get;
            set;
        }

        /// <summary>
        /// 内部ID
        /// </summary>
        public string InternalId {
            get;
            set;
        }

        /// <summary>
        /// アトラクションID名
        /// </summary>
        public string Name {
            get;
            set;
        }

        /// <summary>
        /// 表示用Id+Name
        /// </summary>
        [XmlIgnoreAttribute()]
        public string IdAndName {
            get {
                if(Expired) {
                    return "[期限切れ] " + Id + " (" + Name + ")";
                } else {
                    return Id + " (" + Name + ")";
                }
            }
        }

        /// <summary>
        /// アカウント有効期限切れフラグ
        /// </summary>
        [XmlIgnoreAttribute()]
        public bool Expired {
            get {
                if(!string.IsNullOrEmpty(ExpiryDateString)) {
                    if(ExpiryDateString.Equals("プレイ利用権がありません。")) {
                        return true;
                    }
                }
                return false;
            }
        }


        /// <summary>
        /// アカウント有効期限文字列
        /// </summary>
        public string ExpiryDateString {
            get;
            set;
        }


        /// <summary>
        /// コンストラクタ
        /// </summary>
        public AttractionAccountData() {
            Id = null;
            Password = null;
            InternalId = null;
            Name = null;
            ExpiryDateString = null;
        }
    }

}
