﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ROTools.ROWebLogin {


    /// <summary>
    /// 認証URL入力用フォーム
    /// </summary>
    public partial class ImageAuthInputForm : Form {

        /// <summary>
        /// 入力された文字
        /// </summary>
        public string CaptchaText {
            get;
            set;
        }

        /// <summary>
        /// 表示する画像
        /// </summary>
        public Image CaptchaImage {
            get;
            set;
        }

        /// <summary>
        /// 保存状態
        /// </summary>
        public bool SaveCookie {
            get;
            set;
        }

        /// <summary>
        /// コンストラクタ
        /// </summary>
        public ImageAuthInputForm() {
            InitializeComponent();
        }

        /// <summary>
        /// フォーム初期化処理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ImageAuthInputForm_Load(object sender, EventArgs e) {
            CaptchaText = "";
            captchaText.Text = "";
            captchaImage.BackgroundImage = CaptchaImage;
            saveCheckBox.Checked = SaveCookie;
            this.WindowState = FormWindowState.Normal;
            captchaText.Focus();
        }

        /// <summary>
        /// OKボタン押下時
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void okButton_Click(object sender, EventArgs e) {
            CaptchaText = captchaText.Text;
            SaveCookie = saveCheckBox.Checked;
        }
    }
}
